aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/node/install_node_on_universal_image.sh11
-rw-r--r--test/node/scenarios.json9
2 files changed, 20 insertions, 0 deletions
diff --git a/test/node/install_node_on_universal_image.sh b/test/node/install_node_on_universal_image.sh
new file mode 100644
index 0000000..faca1eb
--- /dev/null
+++ b/test/node/install_node_on_universal_image.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version_on_path" bash -c "node -v | grep 'v19.1.0'"
+
+# Report result
+reportResults
diff --git a/test/node/scenarios.json b/test/node/scenarios.json
index 1240e61..70e1051 100644
--- a/test/node/scenarios.json
+++ b/test/node/scenarios.json
@@ -25,5 +25,14 @@
"version": "none"
}
}
+ },
+ "install_node_on_universal_image": {
+ "image": "mcr.microsoft.com/devcontainers/universal",
+ "remoteUser": "codespace",
+ "features": {
+ "node": {
+ "version": "19.1.0"
+ }
+ }
}
} \ No newline at end of file